#ifndef _ENVENTOR_OBJECT_EO_LEGACY_H_
#define _ENVENTOR_OBJECT_EO_LEGACY_H_

#ifndef _ENVENTOR_OBJECT_EO_CLASS_TYPE
#define _ENVENTOR_OBJECT_EO_CLASS_TYPE

typedef Eo Enventor_Object;

#endif

#ifndef _ENVENTOR_OBJECT_EO_TYPES
#define _ENVENTOR_OBJECT_EO_TYPES


#endif
EAPI void enventor_object_part_highlight_set(Enventor_Object *obj, Eina_Bool part_highlight);
EAPI Eina_Bool enventor_object_part_highlight_get(const Enventor_Object *obj);
EAPI void enventor_object_live_view_scale_set(Enventor_Object *obj, double scale);
EAPI double enventor_object_live_view_scale_get(const Enventor_Object *obj);
EAPI void enventor_object_dummy_parts_set(Enventor_Object *obj, Eina_Bool dummy_parts);
EAPI Eina_Bool enventor_object_dummy_parts_get(const Enventor_Object *obj);
EAPI void enventor_object_auto_complete_set(Enventor_Object *obj, Eina_Bool auto_complete);
EAPI Eina_Bool enventor_object_auto_complete_get(const Enventor_Object *obj);
EAPI void enventor_object_auto_indent_set(Enventor_Object *obj, Eina_Bool auto_indent);
EAPI Eina_Bool enventor_object_auto_indent_get(const Enventor_Object *obj);
EAPI void enventor_object_ctxpopup_set(Enventor_Object *obj, Eina_Bool ctxpopup);
EAPI Eina_Bool enventor_object_ctxpopup_get(const Enventor_Object *obj);
EAPI void enventor_object_focus_set(Enventor_Object *obj, Eina_Bool focus);
EAPI Eina_Bool enventor_object_focus_get(const Enventor_Object *obj);
EAPI void enventor_object_modified_set(Enventor_Object *obj, Eina_Bool modified);
EAPI Eina_Bool enventor_object_modified_get(const Enventor_Object *obj);
EAPI void enventor_object_font_scale_set(Enventor_Object *obj, double font_scale);
EAPI double enventor_object_font_scale_get(const Enventor_Object *obj);
EAPI void enventor_object_linenumber_set(Enventor_Object *obj, Eina_Bool linenumber);
EAPI Eina_Bool enventor_object_linenumber_get(const Enventor_Object *obj);
EAPI void enventor_object_smart_undo_redo_set(Enventor_Object *obj, Eina_Bool smart_undo_redo);
EAPI Eina_Bool enventor_object_smart_undo_redo_get(const Enventor_Object *obj);
EAPI Eina_Bool enventor_object_path_set(Enventor_Object *obj, Enventor_Path_Type type, const Eina_List *pathes);
EAPI const Eina_List *enventor_object_path_get(Enventor_Object *obj, Enventor_Path_Type type);
EAPI Eina_List *enventor_object_programs_list_get(Enventor_Object *obj);
EAPI Eina_List *enventor_object_part_states_list_get(Enventor_Object *obj, const char *type);
EAPI Eina_List *enventor_object_parts_list_get(Enventor_Object *obj);
EAPI int enventor_object_max_line_get(Enventor_Object *obj);
EAPI const char *enventor_object_text_get(Enventor_Object *obj);
EAPI void enventor_object_text_insert(Enventor_Object *obj, const char *text);
EAPI const char *enventor_object_selection_get(Enventor_Object *obj);
EAPI int enventor_object_cursor_pos_get(Enventor_Object *obj);
EAPI void enventor_object_cursor_pos_set(Enventor_Object *obj, int position);
EAPI void enventor_object_select_none(Enventor_Object *obj);
EAPI void enventor_object_select_region_set(Enventor_Object *obj, int start, int end);
EAPI void enventor_object_line_delete(Enventor_Object *obj);
EAPI Eina_Bool enventor_object_save(Enventor_Object *obj, const char *file);
EAPI Eo *enventor_object_live_view_get(Enventor_Object *obj);
EAPI void enventor_object_line_goto(Enventor_Object *obj, int line);
EAPI void enventor_object_syntax_color_set(Enventor_Object *obj, Enventor_Syntax_Color_Type color_type, const char *val);
EAPI const char *enventor_object_syntax_color_get(Enventor_Object *obj, Enventor_Syntax_Color_Type color_type);
EAPI void enventor_object_syntax_color_full_apply(Enventor_Object *obj, Eina_Bool force);
EAPI void enventor_object_syntax_color_partial_apply(Enventor_Object *obj, double interval);
EAPI Eina_Bool enventor_object_template_insert(Enventor_Object *obj, Enventor_Template_Insert_Type insert_type, char *syntax, size_t n);
EAPI Eina_Bool enventor_object_template_part_insert(Enventor_Object *obj, Edje_Part_Type type, Enventor_Template_Insert_Type insert_type, float rel1_x, float rel1_y, float rel2_x, float rel2_y, char *syntax, size_t n);
EAPI Eina_Bool enventor_object_ctxpopup_visible_get(Enventor_Object *obj);
EAPI void enventor_object_ctxpopup_dismiss(Enventor_Object *obj);
EAPI void enventor_object_disabled_set(Enventor_Object *obj, Eina_Bool disabled);
EAPI void enventor_object_live_view_size_set(Enventor_Object *obj, Evas_Coord w, Evas_Coord h);
EAPI void enventor_object_live_view_size_get(Enventor_Object *obj, Evas_Coord *w, Evas_Coord *h);
EAPI Edje_Part_Type enventor_object_part_type_get(Enventor_Object *obj, const char *part_name);
EAPI Eina_Bool enventor_object_redo(Enventor_Object *obj);
EAPI Eina_Bool enventor_object_undo(Enventor_Object *obj);
EAPI void enventor_object_font_set(Enventor_Object *obj, const char *font_name, const char *font_style);
EAPI void enventor_object_font_get(Enventor_Object *obj, const char **font_name, const char **font_style);
EAPI void enventor_object_auto_complete_list_show(Enventor_Object *obj);

#endif
